LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-23-2019, 04:49 PM   #556
worsel
Member
 
Registered: Feb 2008
Location: Washington State, USA
Distribution: Slackware 14.2, Slackware-from-Scratch
Posts: 228

Original Poster
Rep: Reputation: 44

Nobodino,

You may have already caught this yourself, but on a partial rebuild of SFS, Slackware-current 20190220,
in build2_s.list, python3 needs to be rebuilt right before python-setuptools. So far, no other problems.
 
Old 02-24-2019, 02:40 AM   #557
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
regression test up to "Sat Feb 23 03:33:52 UTC 2019": after some adjustments (python3), it builds till the end.
 
Old 03-03-2019, 02:24 AM   #558
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
regression test up to "Fri Mar 1 23:44:12 UTC 2019": qt doesn't build anymore (SFS and Slackware)
---------------------
../3rdparty/javascriptcore/JavaScriptCore/wtf/RefPtr.h:40:33: note: 'class QTWTF::RefPtr<QTJSC::RegExp>' declared here
template <typename T> class RefPtr : public FastAllocBase {
^~~~~~
make[1]: *** [Makefile:9471: obj/release/JITStubs.o] Error 1
make[1]: Leaving directory '/tmp/qt-everywhere-opensource-src-4.8.7/src/script'
make: *** [Makefile:675: sub-script-make_default-ordered] Error 2
FATAL: Failed to build Qt package without WebKit.
----------------------
 
Old 03-03-2019, 02:56 PM   #559
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
firefox and thunderbird don't build either:
-------------------------------
18:39.40 408 | macro_rules! define_css_keyword_enum {
18:39.40 | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
18:39.40
18:39.42 error: aborting due to 2 previous errors
18:39.42
18:39.66 error: Could not compile `style_traits`.
18:39.66
18:39.66 To learn more, run the command again with --verbose.
18:39.68 gmake[4]: *** [/tmp/thunderbird-60.5.2/config/rules.mk:979: force-cargo-library-build] Error 101
18:39.68 gmake[3]: *** [/tmp/thunderbird-60.5.2/config/recurse.mk:73: toolkit/library/rust/target] Error 2
18:39.68 gmake[3]: *** Attente des tâches non terminées....
18:41.82 libview.a.desc
18:42.99 libdom_serviceworkers.a.desc
18:45.62 libwidget_headless.a.desc
18:51.10 libdom_presentation.a.desc
19:01.11 libwidget.a.desc
19:04.40 libwidget_gtk.a.desc
19:04.56 gmake[2]: *** [/tmp/thunderbird-60.5.2/config/recurse.mk:33: compile] Error 2
19:04.60 gmake[1]: *** [/tmp/thunderbird-60.5.2/config/rules.mk:442: default] Error 2
19:04.62 gmake: *** [client.mk:169: build] Error 2
19:04.66 0 compiler warnings present.
19:04.91 Failed to parse ccache stats output: stats updated Fri Feb 8 14:46:28 2019
19:04.91 /usr/bin/notify-send --app-name=Mozilla Build System Mozilla Build System Build failed
------------------------------
and pykde4 on SFS only.
 
Old 03-05-2019, 01:58 PM   #560
worsel
Member
 
Registered: Feb 2008
Location: Washington State, USA
Distribution: Slackware 14.2, Slackware-from-Scratch
Posts: 228

Original Poster
Rep: Reputation: 44
@Nobodino

Quote:
regression test up to "Fri Mar 1 23:44:12 UTC 2019": qt doesn't build anymore (SFS and Slackware)
I had noted this, but hadn't gone on to firefox & thunderbird.

Just after that, a valve broke and flooded my kitchen. It's dried out now and I'm rebuilding, but
won't have much time for SFS for several more weeks.

Keep up the good work!
 
Old 03-09-2019, 09:14 AM   #561
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
regression test up to "Fri Mar 8 18:28:40 UTC 2019": everything builds ok , except firefox and thunderbird (same error as previous post).
 
Old 03-16-2019, 03:19 AM   #562
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
regression test up to "Thu Mar 14 21:22:54 UTC 2019": everything builds ok , except firefox and thunderbird (same error as previous post).
 
1 members found this post helpful.
Old 03-23-2019, 03:31 AM   #563
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
regression test up to "Thu Mar 21 21:18:49 UTC 2019": samba doesn't build properly with new talloc.
---------------------------------------------------
Checking if compiler accepts -fstack-clash-protection : yes
'configure' finished successfully (49.095s)
Waf: Entering directory `/tmp/samba-4.10.0/bin/default'
ERROR: Target 'pytalloc-util.cpython-37m-x86_64-linux-gnu' in directory /tmp/samba-4.10.0/lib/talloc re-defined as LIBRARY - was SYSLIB
---------------------------------------------------
 
Old 03-23-2019, 11:38 AM   #564
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Rep: Reputation: Disabled
Quote:
Originally Posted by nobodino View Post
regression test up to "Thu Mar 21 21:18:49 UTC 2019": samba doesn't build properly with new talloc.
---------------------------------------------------
Checking if compiler accepts -fstack-clash-protection : yes
'configure' finished successfully (49.095s)
Waf: Entering directory `/tmp/samba-4.10.0/bin/default'
ERROR: Target 'pytalloc-util.cpython-37m-x86_64-linux-gnu' in directory /tmp/samba-4.10.0/lib/talloc re-defined as LIBRARY - was SYSLIB
---------------------------------------------------
as I got it seems switching to python3 to be mandatory with 4.10.x, but I'm just not 100% sure there are no side effects (I haven't spotted any here)...
try modifying samba.SlackBuild like this
Code:
--- ./samba.SlackBuild.orig     2019-03-19 19:41:03.903720138 +0100
+++ ./samba.SlackBuild  2019-03-23 15:50:28.385382000 +0100
@@ -134,7 +134,6 @@
   --with-ldap \
   --with-ads \
   --without-pam \
-  --extra-python=/usr/bin/python2 \
   --build=$TARGET || exit 1
   # Gives errors:
   #--builtin-libraries=replace,ccan \
@@ -151,7 +150,7 @@
 # Make sure we don't have any library preloaded.
 unset LD_PRELOAD
 cd . || exit 1
-${PYTHON:=python} $WAF build "$@" || exit 1
+${PYTHON:=python3} $WAF build "$@" || exit 1
 cd $PREVPATH

 mkdir -p \
(setting PYTHON to "python3" seems to be actually non-influent)
 
3 members found this post helpful.
Old 03-23-2019, 12:52 PM   #565
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 542

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
Well, your patch works like a charm.
For the side effects, I can't say.
Thanks for your piece of advice.

Last edited by nobodino; 03-23-2019 at 01:01 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] /usr/bin/X11/X11/....... 10 X11 subsets & counting walter74 Linux - General 2 06-07-2015 12:36 AM
How do I get the /etc/X11/X file rebuilt from scratch rickh Debian 4 05-07-2006 11:06 PM
ali aladdin v agp stinks :scratch: :scratch: :scratch: Mr Marmmalade Linux - Hardware 1 07-08-2003 05:11 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration